import Foundation

enum ContentLanguage: String {

    case english = "en"

    case german = "de"
}

extension ContentLanguage: Codable {
    
}

extension ContentLanguage: CaseIterable {
    
}

extension ContentLanguage: Hashable {

}

extension ContentLanguage: Identifiable {

    var id: String {
        rawValue
    }
}

extension ContentLanguage: Comparable {

    static func < (lhs: ContentLanguage, rhs: ContentLanguage) -> Bool {
        lhs.rawValue < rhs.rawValue
    }
}
