
enum CodeFileType: String {

    case html

    case css

    case js

    case cpp

    case swift

    init?(fileExtension: String) {
        self.init(rawValue: fileExtension)
    }

    var fileExtension: String {
        rawValue
    }
}
