
enum TextFileType: String {
    
    case json

    case conf

    case yaml

    init?(fileExtension: String) {
        self.init(rawValue: fileExtension)
    }

    var fileExtension: String {
        rawValue
    }
}

